{ config, lib, pkgs, ... }:

let cfg = config.modules.desktop.hyprland;
in {
  options.modules.desktop.hyprland = {
    enable = lib.mkOption {
      default = false;
      example = true;
    };
  };

  config = lib.mkIf cfg.enable {
    programs.hyprland.enable = true;

    networking.networkmanager.enable = true;

    user.packages = with pkgs; [
      mpv
    ];

    environment.systemPackages = with pkgs; [
      adw-gtk3
    ];

    home.services.gpg-agent.pinentryPackage = pkgs.pinentry-gnome3;
  };
}
